> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

> Create a new local directory config backed by an existing App.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/local-directory-configs
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/local-directory-configs:
    post:
      tags:
        - Local Directory
      summary: Create
      description: Create a new local directory config backed by an existing App.
      operationId: c1.api.local_directory.v1.LocalDirectoryConfigService.Create
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.local_directory.v1.LocalDirectoryConfigServiceCreateRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.local_directory.v1.LocalDirectoryConfigServiceCreateResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Create
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.LocalDirectoryConfig.Create(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.LocalDirectoryConfigServiceCreateResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.localDirectoryConfig.create();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.local_directory.v1.LocalDirectoryConfigServiceCreateRequest:
      description: The LocalDirectoryConfigServiceCreateRequest message.
      properties:
        allowSelfRegistration:
          description: The allowSelfRegistration field.
          type:
            - boolean
            - 'null'
        appId:
          description: FK to the existing App that will back this local directory.
          type:
            - string
            - 'null'
        defaultProfileTypeId:
          description: The defaultProfileTypeId field.
          type:
            - string
            - 'null'
        displayName:
          description: The displayName field.
          type:
            - string
            - 'null'
        invitationTtl:
          format: duration
          type:
            - string
            - 'null'
        isDefault:
          description: Whether this should be the default local directory for the tenant.
          type:
            - boolean
            - 'null'
        onboardingFlowId:
          description: The onboardingFlowId field.
          type:
            - string
            - 'null'
        organizationId:
          description: Optional FK to a ThirdPartyOrganization.
          type:
            - string
            - 'null'
        selfRegistrationDomains:
          description: The selfRegistrationDomains field.
          items:
            type: string
          type:
            - array
            - 'null'
      required:
        - appId
        - displayName
      title: Local Directory Config Service Create Request
      type: object
      x-speakeasy-name-override: LocalDirectoryConfigServiceCreateRequest
    c1.api.local_directory.v1.LocalDirectoryConfigServiceCreateResponse:
      description: The LocalDirectoryConfigServiceCreateResponse message.
      properties:
        localDirectoryConfig:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.local_directory.v1.LocalDirectoryConfig
            - type: 'null'
      title: Local Directory Config Service Create Response
      type: object
      x-speakeasy-name-override: LocalDirectoryConfigServiceCreateResponse
    c1.api.local_directory.v1.LocalDirectoryConfig:
      description: |-
        LocalDirectoryConfig is the public representation of a C1-managed local
         directory configuration. The underlying directory infrastructure is provided
         by the linked App (identified by app_id).
      properties:
        allowSelfRegistration:
          description: Whether unauthenticated users may self-register in this directory.
          type:
            - boolean
            - 'null'
        appId:
          description: >-
            app_id is the identifier for this config and its linked App.
            Read-only after creation.
          readOnly: true
          type:
            - string
            - 'null'
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        defaultProfileTypeId:
          description: >-
            Optional FK to a ProfileType applied to new users created via this
            directory.
          type:
            - string
            - 'null'
        displayName:
          description: The displayName field.
          type:
            - string
            - 'null'
        invitationTtl:
          format: duration
          type:
            - string
            - 'null'
        isDefault:
          description: |-
            Whether this is the default local directory for the tenant.
             At most one config per tenant may be the default.
          type:
            - boolean
            - 'null'
        onboardingFlowId:
          description: >-
            Optional FK to an onboarding flow applied by default when inviting
            users.
          type:
            - string
            - 'null'
        organizationId:
          description: >-
            Optional FK to a ThirdPartyOrganization. Empty means standalone (no
            vendor linkage).
          type:
            - string
            - 'null'
        selfRegistrationDomains:
          description: >-
            Email domain allowlist for self-registration. Empty allows any
            domain when
             allow_self_registration is true.
          items:
            type: string
          type:
            - array
            - 'null'
        updatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
      title: Local Directory Config
      type: object
      x-speakeasy-name-override: LocalDirectoryConfig
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````